Description

Rational:

The position of the 'Add filter' select element is not very convenient and also not very intuitive.

The field is always empty and new users have a hard time figuring out how to add new filters. If there are many filters added to the
query is also very tedious to always move the mouse to the top right corner to add another filter. The focus on the filters gets easily
lost by this movement, too.

Proposal:
| propose to move the element beneath the added filters and to show it as a clickable button. This makes the functionality crystal clear

and minimizes the distance between the last filter and the option to add another one.

add_filter_as_button.qif

History

#1 - 2018-12-21 16:16 - Bernhard Rohloff
- File show_add_filter_dropdown_as_button.diff added

Here is the patch to realize the shown changes.
I'm looking forward to your feedback. :-)

#2 - 2018-12-21 16:48 - Rolf Fischer

+1 | like that proposal

#3 - 2018-12-21 18:01 - Anonymous

+1 https://cdn.discordapp.com/emojis/471854100984758274.png

#4 - 2018-12-22 06:56 - Go MAEDA
+1 except for the following points:
- The button is too large for me. The size is not consistent with other buttons

- The color of options is odd. Active options are displayed in gray and inactive ones are displayed in black. It is quite confusing. Current "Add filter"
drop-down displays active options in black.

#5 - 2018-12-22 09:12 - Bernhard Rohloff
- File move_add filter_select_under filters_table.diff added

Go MAEDA wrote:
+1 except for the following points:
- The button is too large for me. The size is not consistent with other buttons
- The color of options is odd. Active options are displayed in gray and inactive ones are displayed in black. It is quite confusing. Current "Add
filter" drop-down displays active options in black.

Thank you for your feedback! | really appreciate it. :-)

Yes, I've tested the patch on my laptop now and it really looks a bit odd. It's also very difficult to style the select box properly to the other elements as
their styling depends heavily on OS and browser defaults.

I've attached a second patch without the additional styling except for a smaller width. I've also added styles to hide the already selected filter options

which | think is more convenient.

#6 - 2018-12-27 09:22 - Mizuki ISHIKAWA

+1

| like the idea.

The current filter addition method is not intuitive.

#7 - 2018-12-30 06:51 - Go MAEDA

- Target version set to 4.1.0

#8 - 2018-12-30 08:32 - Marius BALTEANU

- File example.png added
- File drdn_for_add_filters.png added

| like the idea with the following notes:

1. Moving the button under the filters, we'll not use anymore the space next to the filters and it'll add an extra row to filters fieldset regardless the
screen size. Right now, | think most of the companies are using wide screens and even on my 13' screen, there is quite a lot of space unused. Please
see the below screenshot.

example.png

2. Maybe it is enough to move the dropdown on the same row with the last filter added?

3. What do you think if we replace the current dropdown with a custom dropdown (the same used for "Jump to project...")? It'll look like below:
drdn_for_add_filters.png

Anyway, I'll be happy with any solution that will make more obvious for the users how to add a new filter.

#9 - 2019-01-04 15:33 - Bernhard Rohloff

Marius BALTEANU wrote:
| like the idea with the following notes:
1. Moving the button under the filters, we'll not use anymore the space next to the filters and it'll add an extra row to filters fieldset regardless the
screen size. Right now, | think most of the companies are using wide screens and even on my 13' screen, there is quite a lot of space unused. ...

That's exactly the point. A 24" widescreen monitor with 1080p or higher is a usual setup these days. On such a big screen the "Add filter" dropdown
moves too far to the right side of the screen to be recognized by the user. Your eyes also have to switch focus for every additional filter which is very
tedious.

I've also thought about a different presentation of the filters. Something more like the new badges or tags which you can align horizontally to save

vertical space. This would be my favorite solution but it needs more effort and thinking beforehand.

3. What do you think if we replace the current dropdown with a custom dropdown (the same used for "Jump to project...")? It'll look like below:

Nice idea! | like it very much. :-)

#10 - 2019-05-25 05:54 - Go MAEDA
- Target version changed from 4.1.0 to Candidate for next major release

| am removing this from 4.1.0 for now because the patch that reflects #30262#note-8 and #30262#note-9 is not ready.
